Package org.eclipse.graphiti.features.context.impl

# Class AddBendpointContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext
org.eclipse.graphiti.features.context.impl.AddBendpointContext

All Implemented Interfaces:
  `IAddBendpointContext`, `IBendpointContext`, `IContext`, `ILocationContext`, `IPropertyBag`

public class AddBendpointContext extends LocationContext implements IAddBendpointContext
The Class AddBendpointContext.

## Constructor Summary

Constructors
Constructor
Description
`AddBendpointContext(FreeFormConnection connection, int x, int y, int index)`
Creates a new `AddBendpointContext`.

## Method Summary

Modifier and Type
Method
Description
`Point`
`getBendpoint()`
Gets the bendpoint.
`int`
`getBendpointIndex()`
Gets the bendpoint index.
`FreeFormConnection`
`getConnection()`
Gets the connection.
`void`
`setBendpointIndex(int index)`
Sets the bendpoint index.
`void`
`setConnection(FreeFormConnection freeFormConnection)`
Sets the connection.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### AddBendpointContext

public AddBendpointContext(FreeFormConnection connection, int x, int y, int index)
Creates a new `AddBendpointContext`.

Parameters:
  `connection` - the connection
  `x` - the x
  `y` - the y
  `index` - the index

## Method Details

### getConnection

public FreeFormConnection getConnection()
Description copied from interface: `IBendpointContext`
Gets the connection.

Specified by:
  `getConnection` in interface `IBendpointContext`
Returns:
  the connection

### setConnection

public void setConnection(FreeFormConnection freeFormConnection)
Sets the connection.

Parameters:
  `freeFormConnection` - the new connection

### getBendpointIndex

public int getBendpointIndex()
Description copied from interface: `IBendpointContext`
Gets the bendpoint index.

Specified by:
  `getBendpointIndex` in interface `IBendpointContext`
Returns:
  the bendpoint index

### setBendpointIndex

public void setBendpointIndex(int index)
Sets the bendpoint index.

Parameters:
  `index` - the new bendpoint index

### getBendpoint

public Point getBendpoint()
Description copied from interface: `IBendpointContext`
Gets the bendpoint.

Specified by:
  `getBendpoint` in interface `IBendpointContext`
Returns:
  the bendpoint

### toString

public String toString()

Overrides:
  `toString` in class `LocationContext`